package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdBind;
import com.xmomen.module.base.entity.CdBindExample;
import org.apache.ibatis.annotations.Param;

// 继承MybatisMapper接口
public interface CdBindMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdBindExample example);

    // 根据条件删除记录
    int deleteByExample(CdBindExample example);

    // 插入记录
    int insertSelective(CdBind record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdBind record, @Param("example") CdBindExample example);
}